<?php
if (!function_exists('sikshya_country_states')) {

	function sikshya_country_states($country_key = null)
	{

		$states = array(
			'AF' => array(),
			'AO' => array( // Angola states.
				'BGO' => __('Bengo', 'sikshya'),
				'BLU' => __('Benguela', 'sikshya'),
				'BIE' => __('Bié', 'sikshya'),
				'CAB' => __('Cabinda', 'sikshya'),
				'CNN' => __('Cunene', 'sikshya'),
				'HUA' => __('Huambo', 'sikshya'),
				'HUI' => __('Huíla', 'sikshya'),
				'CCU' => __('Kuando Kubango', 'sikshya'),
				'CNO' => __('Kwanza-Norte', 'sikshya'),
				'CUS' => __('Kwanza-Sul', 'sikshya'),
				'LUA' => __('Luanda', 'sikshya'),
				'LNO' => __('Lunda-Norte', 'sikshya'),
				'LSU' => __('Lunda-Sul', 'sikshya'),
				'MAL' => __('Malanje', 'sikshya'),
				'MOX' => __('Moxico', 'sikshya'),
				'NAM' => __('Namibe', 'sikshya'),
				'UIG' => __('Uíge', 'sikshya'),
				'ZAI' => __('Zaire', 'sikshya'),
			),
			'AR' => array( // Argentinian provinces.
				'C' => __('Ciudad Aut&oacute;noma de Buenos Aires', 'sikshya'),
				'B' => __('Buenos Aires', 'sikshya'),
				'K' => __('Catamarca', 'sikshya'),
				'H' => __('Chaco', 'sikshya'),
				'U' => __('Chubut', 'sikshya'),
				'X' => __('C&oacute;rdoba', 'sikshya'),
				'W' => __('Corrientes', 'sikshya'),
				'E' => __('Entre R&iacute;os', 'sikshya'),
				'P' => __('Formosa', 'sikshya'),
				'Y' => __('Jujuy', 'sikshya'),
				'L' => __('La Pampa', 'sikshya'),
				'F' => __('La Rioja', 'sikshya'),
				'M' => __('Mendoza', 'sikshya'),
				'N' => __('Misiones', 'sikshya'),
				'Q' => __('Neuqu&eacute;n', 'sikshya'),
				'R' => __('R&iacute;o Negro', 'sikshya'),
				'A' => __('Salta', 'sikshya'),
				'J' => __('San Juan', 'sikshya'),
				'D' => __('San Luis', 'sikshya'),
				'Z' => __('Santa Cruz', 'sikshya'),
				'S' => __('Santa Fe', 'sikshya'),
				'G' => __('Santiago del Estero', 'sikshya'),
				'V' => __('Tierra del Fuego', 'sikshya'),
				'T' => __('Tucum&aacute;n', 'sikshya'),
			),
			'AT' => array(),
			'AU' => array( // Australian states.
				'ACT' => __('Australian Capital Territory', 'sikshya'),
				'NSW' => __('New South Wales', 'sikshya'),
				'NT' => __('Northern Territory', 'sikshya'),
				'QLD' => __('Queensland', 'sikshya'),
				'SA' => __('South Australia', 'sikshya'),
				'TAS' => __('Tasmania', 'sikshya'),
				'VIC' => __('Victoria', 'sikshya'),
				'WA' => __('Western Australia', 'sikshya'),
			),
			'AX' => array(),
			'BD' => array( // Bangladeshi states (districts).
				'BD-05' => __('Bagerhat', 'sikshya'),
				'BD-01' => __('Bandarban', 'sikshya'),
				'BD-02' => __('Barguna', 'sikshya'),
				'BD-06' => __('Barishal', 'sikshya'),
				'BD-07' => __('Bhola', 'sikshya'),
				'BD-03' => __('Bogura', 'sikshya'),
				'BD-04' => __('Brahmanbaria', 'sikshya'),
				'BD-09' => __('Chandpur', 'sikshya'),
				'BD-10' => __('Chattogram', 'sikshya'),
				'BD-12' => __('Chuadanga', 'sikshya'),
				'BD-11' => __("Cox's Bazar", 'sikshya'),
				'BD-08' => __('Cumilla', 'sikshya'),
				'BD-13' => __('Dhaka', 'sikshya'),
				'BD-14' => __('Dinajpur', 'sikshya'),
				'BD-15' => __('Faridpur ', 'sikshya'),
				'BD-16' => __('Feni', 'sikshya'),
				'BD-19' => __('Gaibandha', 'sikshya'),
				'BD-18' => __('Gazipur', 'sikshya'),
				'BD-17' => __('Gopalganj', 'sikshya'),
				'BD-20' => __('Habiganj', 'sikshya'),
				'BD-21' => __('Jamalpur', 'sikshya'),
				'BD-22' => __('Jashore', 'sikshya'),
				'BD-25' => __('Jhalokati', 'sikshya'),
				'BD-23' => __('Jhenaidah', 'sikshya'),
				'BD-24' => __('Joypurhat', 'sikshya'),
				'BD-29' => __('Khagrachhari', 'sikshya'),
				'BD-27' => __('Khulna', 'sikshya'),
				'BD-26' => __('Kishoreganj', 'sikshya'),
				'BD-28' => __('Kurigram', 'sikshya'),
				'BD-30' => __('Kushtia', 'sikshya'),
				'BD-31' => __('Lakshmipur', 'sikshya'),
				'BD-32' => __('Lalmonirhat', 'sikshya'),
				'BD-36' => __('Madaripur', 'sikshya'),
				'BD-37' => __('Magura', 'sikshya'),
				'BD-33' => __('Manikganj ', 'sikshya'),
				'BD-39' => __('Meherpur', 'sikshya'),
				'BD-38' => __('Moulvibazar', 'sikshya'),
				'BD-35' => __('Munshiganj', 'sikshya'),
				'BD-34' => __('Mymensingh', 'sikshya'),
				'BD-48' => __('Naogaon', 'sikshya'),
				'BD-43' => __('Narail', 'sikshya'),
				'BD-40' => __('Narayanganj', 'sikshya'),
				'BD-42' => __('Narsingdi', 'sikshya'),
				'BD-44' => __('Natore', 'sikshya'),
				'BD-45' => __('Nawabganj', 'sikshya'),
				'BD-41' => __('Netrakona', 'sikshya'),
				'BD-46' => __('Nilphamari', 'sikshya'),
				'BD-47' => __('Noakhali', 'sikshya'),
				'BD-49' => __('Pabna', 'sikshya'),
				'BD-52' => __('Panchagarh', 'sikshya'),
				'BD-51' => __('Patuakhali', 'sikshya'),
				'BD-50' => __('Pirojpur', 'sikshya'),
				'BD-53' => __('Rajbari', 'sikshya'),
				'BD-54' => __('Rajshahi', 'sikshya'),
				'BD-56' => __('Rangamati', 'sikshya'),
				'BD-55' => __('Rangpur', 'sikshya'),
				'BD-58' => __('Satkhira', 'sikshya'),
				'BD-62' => __('Shariatpur', 'sikshya'),
				'BD-57' => __('Sherpur', 'sikshya'),
				'BD-59' => __('Sirajganj', 'sikshya'),
				'BD-61' => __('Sunamganj', 'sikshya'),
				'BD-60' => __('Sylhet', 'sikshya'),
				'BD-63' => __('Tangail', 'sikshya'),
				'BD-64' => __('Thakurgaon', 'sikshya'),
			),
			'BE' => array(),
			'BG' => array( // Bulgarian states.
				'BG-01' => __('Blagoevgrad', 'sikshya'),
				'BG-02' => __('Burgas', 'sikshya'),
				'BG-08' => __('Dobrich', 'sikshya'),
				'BG-07' => __('Gabrovo', 'sikshya'),
				'BG-26' => __('Haskovo', 'sikshya'),
				'BG-09' => __('Kardzhali', 'sikshya'),
				'BG-10' => __('Kyustendil', 'sikshya'),
				'BG-11' => __('Lovech', 'sikshya'),
				'BG-12' => __('Montana', 'sikshya'),
				'BG-13' => __('Pazardzhik', 'sikshya'),
				'BG-14' => __('Pernik', 'sikshya'),
				'BG-15' => __('Pleven', 'sikshya'),
				'BG-16' => __('Plovdiv', 'sikshya'),
				'BG-17' => __('Razgrad', 'sikshya'),
				'BG-18' => __('Ruse', 'sikshya'),
				'BG-27' => __('Shumen', 'sikshya'),
				'BG-19' => __('Silistra', 'sikshya'),
				'BG-20' => __('Sliven', 'sikshya'),
				'BG-21' => __('Smolyan', 'sikshya'),
				'BG-23' => __('Sofia', 'sikshya'),
				'BG-22' => __('Sofia-Grad', 'sikshya'),
				'BG-24' => __('Stara Zagora', 'sikshya'),
				'BG-25' => __('Targovishte', 'sikshya'),
				'BG-03' => __('Varna', 'sikshya'),
				'BG-04' => __('Veliko Tarnovo', 'sikshya'),
				'BG-05' => __('Vidin', 'sikshya'),
				'BG-06' => __('Vratsa', 'sikshya'),
				'BG-28' => __('Yambol', 'sikshya'),
			),
			'BH' => array(),
			'BI' => array(),
			'BO' => array( // Bolivian states.
				'B' => __('Chuquisaca', 'sikshya'),
				'H' => __('Beni', 'sikshya'),
				'C' => __('Cochabamba', 'sikshya'),
				'L' => __('La Paz', 'sikshya'),
				'O' => __('Oruro', 'sikshya'),
				'N' => __('Pando', 'sikshya'),
				'P' => __('Potosí', 'sikshya'),
				'S' => __('Santa Cruz', 'sikshya'),
				'T' => __('Tarija', 'sikshya'),
			),
			'BR' => array( // Brazillian states.
				'AC' => __('Acre', 'sikshya'),
				'AL' => __('Alagoas', 'sikshya'),
				'AP' => __('Amap&aacute;', 'sikshya'),
				'AM' => __('Amazonas', 'sikshya'),
				'BA' => __('Bahia', 'sikshya'),
				'CE' => __('Cear&aacute;', 'sikshya'),
				'DF' => __('Distrito Federal', 'sikshya'),
				'ES' => __('Esp&iacute;rito Santo', 'sikshya'),
				'GO' => __('Goi&aacute;s', 'sikshya'),
				'MA' => __('Maranh&atilde;o', 'sikshya'),
				'MT' => __('Mato Grosso', 'sikshya'),
				'MS' => __('Mato Grosso do Sul', 'sikshya'),
				'MG' => __('Minas Gerais', 'sikshya'),
				'PA' => __('Par&aacute;', 'sikshya'),
				'PB' => __('Para&iacute;ba', 'sikshya'),
				'PR' => __('Paran&aacute;', 'sikshya'),
				'PE' => __('Pernambuco', 'sikshya'),
				'PI' => __('Piau&iacute;', 'sikshya'),
				'RJ' => __('Rio de Janeiro', 'sikshya'),
				'RN' => __('Rio Grande do Norte', 'sikshya'),
				'RS' => __('Rio Grande do Sul', 'sikshya'),
				'RO' => __('Rond&ocirc;nia', 'sikshya'),
				'RR' => __('Roraima', 'sikshya'),
				'SC' => __('Santa Catarina', 'sikshya'),
				'SP' => __('S&atilde;o Paulo', 'sikshya'),
				'SE' => __('Sergipe', 'sikshya'),
				'TO' => __('Tocantins', 'sikshya'),
			),
			'CA' => array( // Canadian states.
				'AB' => __('Alberta', 'sikshya'),
				'BC' => __('British Columbia', 'sikshya'),
				'MB' => __('Manitoba', 'sikshya'),
				'NB' => __('New Brunswick', 'sikshya'),
				'NL' => __('Newfoundland and Labrador', 'sikshya'),
				'NT' => __('Northwest Territories', 'sikshya'),
				'NS' => __('Nova Scotia', 'sikshya'),
				'NU' => __('Nunavut', 'sikshya'),
				'ON' => __('Ontario', 'sikshya'),
				'PE' => __('Prince Edward Island', 'sikshya'),
				'QC' => __('Quebec', 'sikshya'),
				'SK' => __('Saskatchewan', 'sikshya'),
				'YT' => __('Yukon Territory', 'sikshya'),
			),
			'CH' => array( // Cantons of Switzerland.
				'AG' => __('Aargau', 'sikshya'),
				'AR' => __('Appenzell Ausserrhoden', 'sikshya'),
				'AI' => __('Appenzell Innerrhoden', 'sikshya'),
				'BL' => __('Basel-Landschaft', 'sikshya'),
				'BS' => __('Basel-Stadt', 'sikshya'),
				'BE' => __('Bern', 'sikshya'),
				'FR' => __('Fribourg', 'sikshya'),
				'GE' => __('Geneva', 'sikshya'),
				'GL' => __('Glarus', 'sikshya'),
				'GR' => __('Graub&uuml;nden', 'sikshya'),
				'JU' => __('Jura', 'sikshya'),
				'LU' => __('Luzern', 'sikshya'),
				'NE' => __('Neuch&acirc;tel', 'sikshya'),
				'NW' => __('Nidwalden', 'sikshya'),
				'OW' => __('Obwalden', 'sikshya'),
				'SH' => __('Schaffhausen', 'sikshya'),
				'SZ' => __('Schwyz', 'sikshya'),
				'SO' => __('Solothurn', 'sikshya'),
				'SG' => __('St. Gallen', 'sikshya'),
				'TG' => __('Thurgau', 'sikshya'),
				'TI' => __('Ticino', 'sikshya'),
				'UR' => __('Uri', 'sikshya'),
				'VS' => __('Valais', 'sikshya'),
				'VD' => __('Vaud', 'sikshya'),
				'ZG' => __('Zug', 'sikshya'),
				'ZH' => __('Z&uuml;rich', 'sikshya'),
			),
			'CN' => array( // Chinese states.
				'CN1' => __('Yunnan / &#20113;&#21335;', 'sikshya'),
				'CN2' => __('Beijing / &#21271;&#20140;', 'sikshya'),
				'CN3' => __('Tianjin / &#22825;&#27941;', 'sikshya'),
				'CN4' => __('Hebei / &#27827;&#21271;', 'sikshya'),
				'CN5' => __('Shanxi / &#23665;&#35199;', 'sikshya'),
				'CN6' => __('Inner Mongolia / &#20839;&#33945;&#21476;', 'sikshya'),
				'CN7' => __('Liaoning / &#36797;&#23425;', 'sikshya'),
				'CN8' => __('Jilin / &#21513;&#26519;', 'sikshya'),
				'CN9' => __('Heilongjiang / &#40657;&#40857;&#27743;', 'sikshya'),
				'CN10' => __('Shanghai / &#19978;&#28023;', 'sikshya'),
				'CN11' => __('Jiangsu / &#27743;&#33487;', 'sikshya'),
				'CN12' => __('Zhejiang / &#27993;&#27743;', 'sikshya'),
				'CN13' => __('Anhui / &#23433;&#24509;', 'sikshya'),
				'CN14' => __('Fujian / &#31119;&#24314;', 'sikshya'),
				'CN15' => __('Jiangxi / &#27743;&#35199;', 'sikshya'),
				'CN16' => __('Shandong / &#23665;&#19996;', 'sikshya'),
				'CN17' => __('Henan / &#27827;&#21335;', 'sikshya'),
				'CN18' => __('Hubei / &#28246;&#21271;', 'sikshya'),
				'CN19' => __('Hunan / &#28246;&#21335;', 'sikshya'),
				'CN20' => __('Guangdong / &#24191;&#19996;', 'sikshya'),
				'CN21' => __('Guangxi Zhuang / &#24191;&#35199;&#22766;&#26063;', 'sikshya'),
				'CN22' => __('Hainan / &#28023;&#21335;', 'sikshya'),
				'CN23' => __('Chongqing / &#37325;&#24198;', 'sikshya'),
				'CN24' => __('Sichuan / &#22235;&#24029;', 'sikshya'),
				'CN25' => __('Guizhou / &#36149;&#24030;', 'sikshya'),
				'CN26' => __('Shaanxi / &#38485;&#35199;', 'sikshya'),
				'CN27' => __('Gansu / &#29976;&#32899;', 'sikshya'),
				'CN28' => __('Qinghai / &#38738;&#28023;', 'sikshya'),
				'CN29' => __('Ningxia Hui / &#23425;&#22799;', 'sikshya'),
				'CN30' => __('Macao / &#28595;&#38376;', 'sikshya'),
				'CN31' => __('Tibet / &#35199;&#34255;', 'sikshya'),
				'CN32' => __('Xinjiang / &#26032;&#30086;', 'sikshya'),
			),
			'CZ' => array(),
			'DE' => array(),
			'DK' => array(),
			'EE' => array(),
			'ES' => array( // Spanish states.
				'C' => __('A Coru&ntilde;a', 'sikshya'),
				'VI' => __('Araba/&Aacute;lava', 'sikshya'),
				'AB' => __('Albacete', 'sikshya'),
				'A' => __('Alicante', 'sikshya'),
				'AL' => __('Almer&iacute;a', 'sikshya'),
				'O' => __('Asturias', 'sikshya'),
				'AV' => __('&Aacute;vila', 'sikshya'),
				'BA' => __('Badajoz', 'sikshya'),
				'PM' => __('Baleares', 'sikshya'),
				'B' => __('Barcelona', 'sikshya'),
				'BU' => __('Burgos', 'sikshya'),
				'CC' => __('C&aacute;ceres', 'sikshya'),
				'CA' => __('C&aacute;diz', 'sikshya'),
				'S' => __('Cantabria', 'sikshya'),
				'CS' => __('Castell&oacute;n', 'sikshya'),
				'CE' => __('Ceuta', 'sikshya'),
				'CR' => __('Ciudad Real', 'sikshya'),
				'CO' => __('C&oacute;rdoba', 'sikshya'),
				'CU' => __('Cuenca', 'sikshya'),
				'GI' => __('Girona', 'sikshya'),
				'GR' => __('Granada', 'sikshya'),
				'GU' => __('Guadalajara', 'sikshya'),
				'SS' => __('Gipuzkoa', 'sikshya'),
				'H' => __('Huelva', 'sikshya'),
				'HU' => __('Huesca', 'sikshya'),
				'J' => __('Ja&eacute;n', 'sikshya'),
				'LO' => __('La Rioja', 'sikshya'),
				'GC' => __('Las Palmas', 'sikshya'),
				'LE' => __('Le&oacute;n', 'sikshya'),
				'L' => __('Lleida', 'sikshya'),
				'LU' => __('Lugo', 'sikshya'),
				'M' => __('Madrid', 'sikshya'),
				'MA' => __('M&aacute;laga', 'sikshya'),
				'ML' => __('Melilla', 'sikshya'),
				'MU' => __('Murcia', 'sikshya'),
				'NA' => __('Navarra', 'sikshya'),
				'OR' => __('Ourense', 'sikshya'),
				'P' => __('Palencia', 'sikshya'),
				'PO' => __('Pontevedra', 'sikshya'),
				'SA' => __('Salamanca', 'sikshya'),
				'TF' => __('Santa Cruz de Tenerife', 'sikshya'),
				'SG' => __('Segovia', 'sikshya'),
				'SE' => __('Sevilla', 'sikshya'),
				'SO' => __('Soria', 'sikshya'),
				'T' => __('Tarragona', 'sikshya'),
				'TE' => __('Teruel', 'sikshya'),
				'TO' => __('Toledo', 'sikshya'),
				'V' => __('Valencia', 'sikshya'),
				'VA' => __('Valladolid', 'sikshya'),
				'BI' => __('Bizkaia', 'sikshya'),
				'ZA' => __('Zamora', 'sikshya'),
				'Z' => __('Zaragoza', 'sikshya'),
			),
			'FI' => array(),
			'FR' => array(),
			'GH' => array( // Ghanaian Regions.
				'AF' => __('Ahafo', 'sikshya'),
				'AH' => __('Ashanti', 'sikshya'),
				'BA' => __('Brong-Ahafo', 'sikshya'),
				'BO' => __('Bono', 'sikshya'),
				'BE' => __('Bono East', 'sikshya'),
				'CP' => __('Central', 'sikshya'),
				'EP' => __('Eastern', 'sikshya'),
				'AA' => __('Greater Accra', 'sikshya'),
				'NE' => __('North East', 'sikshya'),
				'NP' => __('Northern', 'sikshya'),
				'OT' => __('Oti', 'sikshya'),
				'SV' => __('Savannah', 'sikshya'),
				'UE' => __('Upper East', 'sikshya'),
				'UW' => __('Upper West', 'sikshya'),
				'TV' => __('Volta', 'sikshya'),
				'WP' => __('Western', 'sikshya'),
				'WN' => __('Western North', 'sikshya'),
			),
			'GP' => array(),
			'GR' => array( // Greek Regions.
				'I' => __('Αττική', 'sikshya'),
				'A' => __('Ανατολική Μακεδονία και Θράκη', 'sikshya'),
				'B' => __('Κεντρική Μακεδονία', 'sikshya'),
				'C' => __('Δυτική Μακεδονία', 'sikshya'),
				'D' => __('Ήπειρος', 'sikshya'),
				'E' => __('Θεσσαλία', 'sikshya'),
				'F' => __('Ιόνιοι Νήσοι', 'sikshya'),
				'G' => __('Δυτική Ελλάδα', 'sikshya'),
				'H' => __('Στερεά Ελλάδα', 'sikshya'),
				'J' => __('Πελοπόννησος', 'sikshya'),
				'K' => __('Βόρειο Αιγαίο', 'sikshya'),
				'L' => __('Νότιο Αιγαίο', 'sikshya'),
				'M' => __('Κρήτη', 'sikshya'),
			),
			'GF' => array(),
			'HK' => array( // Hong Kong states.
				'HONG KONG' => __('Hong Kong Island', 'sikshya'),
				'KOWLOON' => __('Kowloon', 'sikshya'),
				'NEW TERRITORIES' => __('New Territories', 'sikshya'),
			),
			'HU' => array( // Hungary states.
				'BK' => __('Bács-Kiskun', 'sikshya'),
				'BE' => __('Békés', 'sikshya'),
				'BA' => __('Baranya', 'sikshya'),
				'BZ' => __('Borsod-Abaúj-Zemplén', 'sikshya'),
				'BU' => __('Budapest', 'sikshya'),
				'CS' => __('Csongrád', 'sikshya'),
				'FE' => __('Fejér', 'sikshya'),
				'GS' => __('Győr-Moson-Sopron', 'sikshya'),
				'HB' => __('Hajdú-Bihar', 'sikshya'),
				'HE' => __('Heves', 'sikshya'),
				'JN' => __('Jász-Nagykun-Szolnok', 'sikshya'),
				'KE' => __('Komárom-Esztergom', 'sikshya'),
				'NO' => __('Nógrád', 'sikshya'),
				'PE' => __('Pest', 'sikshya'),
				'SO' => __('Somogy', 'sikshya'),
				'SZ' => __('Szabolcs-Szatmár-Bereg', 'sikshya'),
				'TO' => __('Tolna', 'sikshya'),
				'VA' => __('Vas', 'sikshya'),
				'VE' => __('Veszprém', 'sikshya'),
				'ZA' => __('Zala', 'sikshya'),
			),
			'ID' => array( // Indonesia Provinces.
				'AC' => __('Daerah Istimewa Aceh', 'sikshya'),
				'SU' => __('Sumatera Utara', 'sikshya'),
				'SB' => __('Sumatera Barat', 'sikshya'),
				'RI' => __('Riau', 'sikshya'),
				'KR' => __('Kepulauan Riau', 'sikshya'),
				'JA' => __('Jambi', 'sikshya'),
				'SS' => __('Sumatera Selatan', 'sikshya'),
				'BB' => __('Bangka Belitung', 'sikshya'),
				'BE' => __('Bengkulu', 'sikshya'),
				'LA' => __('Lampung', 'sikshya'),
				'JK' => __('DKI Jakarta', 'sikshya'),
				'JB' => __('Jawa Barat', 'sikshya'),
				'BT' => __('Banten', 'sikshya'),
				'JT' => __('Jawa Tengah', 'sikshya'),
				'JI' => __('Jawa Timur', 'sikshya'),
				'YO' => __('Daerah Istimewa Yogyakarta', 'sikshya'),
				'BA' => __('Bali', 'sikshya'),
				'NB' => __('Nusa Tenggara Barat', 'sikshya'),
				'NT' => __('Nusa Tenggara Timur', 'sikshya'),
				'KB' => __('Kalimantan Barat', 'sikshya'),
				'KT' => __('Kalimantan Tengah', 'sikshya'),
				'KI' => __('Kalimantan Timur', 'sikshya'),
				'KS' => __('Kalimantan Selatan', 'sikshya'),
				'KU' => __('Kalimantan Utara', 'sikshya'),
				'SA' => __('Sulawesi Utara', 'sikshya'),
				'ST' => __('Sulawesi Tengah', 'sikshya'),
				'SG' => __('Sulawesi Tenggara', 'sikshya'),
				'SR' => __('Sulawesi Barat', 'sikshya'),
				'SN' => __('Sulawesi Selatan', 'sikshya'),
				'GO' => __('Gorontalo', 'sikshya'),
				'MA' => __('Maluku', 'sikshya'),
				'MU' => __('Maluku Utara', 'sikshya'),
				'PA' => __('Papua', 'sikshya'),
				'PB' => __('Papua Barat', 'sikshya'),
			),
			'IE' => array( // Republic of Ireland.
				'CW' => __('Carlow', 'sikshya'),
				'CN' => __('Cavan', 'sikshya'),
				'CE' => __('Clare', 'sikshya'),
				'CO' => __('Cork', 'sikshya'),
				'DL' => __('Donegal', 'sikshya'),
				'D' => __('Dublin', 'sikshya'),
				'G' => __('Galway', 'sikshya'),
				'KY' => __('Kerry', 'sikshya'),
				'KE' => __('Kildare', 'sikshya'),
				'KK' => __('Kilkenny', 'sikshya'),
				'LS' => __('Laois', 'sikshya'),
				'LM' => __('Leitrim', 'sikshya'),
				'LK' => __('Limerick', 'sikshya'),
				'LD' => __('Longford', 'sikshya'),
				'LH' => __('Louth', 'sikshya'),
				'MO' => __('Mayo', 'sikshya'),
				'MH' => __('Meath', 'sikshya'),
				'MN' => __('Monaghan', 'sikshya'),
				'OY' => __('Offaly', 'sikshya'),
				'RN' => __('Roscommon', 'sikshya'),
				'SO' => __('Sligo', 'sikshya'),
				'TA' => __('Tipperary', 'sikshya'),
				'WD' => __('Waterford', 'sikshya'),
				'WH' => __('Westmeath', 'sikshya'),
				'WX' => __('Wexford', 'sikshya'),
				'WW' => __('Wicklow', 'sikshya'),
			),
			'IN' => array( // Indian states.
				'AP' => __('Andhra Pradesh', 'sikshya'),
				'AR' => __('Arunachal Pradesh', 'sikshya'),
				'AS' => __('Assam', 'sikshya'),
				'BR' => __('Bihar', 'sikshya'),
				'CT' => __('Chhattisgarh', 'sikshya'),
				'GA' => __('Goa', 'sikshya'),
				'GJ' => __('Gujarat', 'sikshya'),
				'HR' => __('Haryana', 'sikshya'),
				'HP' => __('Himachal Pradesh', 'sikshya'),
				'JK' => __('Jammu and Kashmir', 'sikshya'),
				'JH' => __('Jharkhand', 'sikshya'),
				'KA' => __('Karnataka', 'sikshya'),
				'KL' => __('Kerala', 'sikshya'),
				'MP' => __('Madhya Pradesh', 'sikshya'),
				'MH' => __('Maharashtra', 'sikshya'),
				'MN' => __('Manipur', 'sikshya'),
				'ML' => __('Meghalaya', 'sikshya'),
				'MZ' => __('Mizoram', 'sikshya'),
				'NL' => __('Nagaland', 'sikshya'),
				'OR' => __('Orissa', 'sikshya'),
				'PB' => __('Punjab', 'sikshya'),
				'RJ' => __('Rajasthan', 'sikshya'),
				'SK' => __('Sikkim', 'sikshya'),
				'TN' => __('Tamil Nadu', 'sikshya'),
				'TS' => __('Telangana', 'sikshya'),
				'TR' => __('Tripura', 'sikshya'),
				'UK' => __('Uttarakhand', 'sikshya'),
				'UP' => __('Uttar Pradesh', 'sikshya'),
				'WB' => __('West Bengal', 'sikshya'),
				'AN' => __('Andaman and Nicobar Islands', 'sikshya'),
				'CH' => __('Chandigarh', 'sikshya'),
				'DN' => __('Dadra and Nagar Haveli', 'sikshya'),
				'DD' => __('Daman and Diu', 'sikshya'),
				'DL' => __('Delhi', 'sikshya'),
				'LD' => __('Lakshadeep', 'sikshya'),
				'PY' => __('Pondicherry (Puducherry)', 'sikshya'),
			),
			'IR' => array( // Iran States.
				'KHZ' => __('Khuzestan  (خوزستان)', 'sikshya'),
				'THR' => __('Tehran  (تهران)', 'sikshya'),
				'ILM' => __('Ilaam (ایلام)', 'sikshya'),
				'BHR' => __('Bushehr (بوشهر)', 'sikshya'),
				'ADL' => __('Ardabil (اردبیل)', 'sikshya'),
				'ESF' => __('Isfahan (اصفهان)', 'sikshya'),
				'YZD' => __('Yazd (یزد)', 'sikshya'),
				'KRH' => __('Kermanshah (کرمانشاه)', 'sikshya'),
				'KRN' => __('Kerman (کرمان)', 'sikshya'),
				'HDN' => __('Hamadan (همدان)', 'sikshya'),
				'GZN' => __('Ghazvin (قزوین)', 'sikshya'),
				'ZJN' => __('Zanjan (زنجان)', 'sikshya'),
				'LRS' => __('Luristan (لرستان)', 'sikshya'),
				'ABZ' => __('Alborz (البرز)', 'sikshya'),
				'EAZ' => __('East Azarbaijan (آذربایجان شرقی)', 'sikshya'),
				'WAZ' => __('West Azarbaijan (آذربایجان غربی)', 'sikshya'),
				'CHB' => __('Chaharmahal and Bakhtiari (چهارمحال و بختیاری)', 'sikshya'),
				'SKH' => __('South Khorasan (خراسان جنوبی)', 'sikshya'),
				'RKH' => __('Razavi Khorasan (خراسان رضوی)', 'sikshya'),
				'NKH' => __('North Khorasan (خراسان شمالی)', 'sikshya'),
				'SMN' => __('Semnan (سمنان)', 'sikshya'),
				'FRS' => __('Fars (فارس)', 'sikshya'),
				'QHM' => __('Qom (قم)', 'sikshya'),
				'KRD' => __('Kurdistan / کردستان)', 'sikshya'),
				'KBD' => __('Kohgiluyeh and BoyerAhmad (کهگیلوییه و بویراحمد)', 'sikshya'),
				'GLS' => __('Golestan (گلستان)', 'sikshya'),
				'GIL' => __('Gilan (گیلان)', 'sikshya'),
				'MZN' => __('Mazandaran (مازندران)', 'sikshya'),
				'MKZ' => __('Markazi (مرکزی)', 'sikshya'),
				'HRZ' => __('Hormozgan (هرمزگان)', 'sikshya'),
				'SBN' => __('Sistan and Baluchestan (سیستان و بلوچستان)', 'sikshya'),
			),
			'IS' => array(),
			'IT' => array( // Italy Provinces.
				'AG' => __('Agrigento', 'sikshya'),
				'AL' => __('Alessandria', 'sikshya'),
				'AN' => __('Ancona', 'sikshya'),
				'AO' => __('Aosta', 'sikshya'),
				'AR' => __('Arezzo', 'sikshya'),
				'AP' => __('Ascoli Piceno', 'sikshya'),
				'AT' => __('Asti', 'sikshya'),
				'AV' => __('Avellino', 'sikshya'),
				'BA' => __('Bari', 'sikshya'),
				'BT' => __('Barletta-Andria-Trani', 'sikshya'),
				'BL' => __('Belluno', 'sikshya'),
				'BN' => __('Benevento', 'sikshya'),
				'BG' => __('Bergamo', 'sikshya'),
				'BI' => __('Biella', 'sikshya'),
				'BO' => __('Bologna', 'sikshya'),
				'BZ' => __('Bolzano', 'sikshya'),
				'BS' => __('Brescia', 'sikshya'),
				'BR' => __('Brindisi', 'sikshya'),
				'CA' => __('Cagliari', 'sikshya'),
				'CL' => __('Caltanissetta', 'sikshya'),
				'CB' => __('Campobasso', 'sikshya'),
				'CE' => __('Caserta', 'sikshya'),
				'CT' => __('Catania', 'sikshya'),
				'CZ' => __('Catanzaro', 'sikshya'),
				'CH' => __('Chieti', 'sikshya'),
				'CO' => __('Como', 'sikshya'),
				'CS' => __('Cosenza', 'sikshya'),
				'CR' => __('Cremona', 'sikshya'),
				'KR' => __('Crotone', 'sikshya'),
				'CN' => __('Cuneo', 'sikshya'),
				'EN' => __('Enna', 'sikshya'),
				'FM' => __('Fermo', 'sikshya'),
				'FE' => __('Ferrara', 'sikshya'),
				'FI' => __('Firenze', 'sikshya'),
				'FG' => __('Foggia', 'sikshya'),
				'FC' => __('Forlì-Cesena', 'sikshya'),
				'FR' => __('Frosinone', 'sikshya'),
				'GE' => __('Genova', 'sikshya'),
				'GO' => __('Gorizia', 'sikshya'),
				'GR' => __('Grosseto', 'sikshya'),
				'IM' => __('Imperia', 'sikshya'),
				'IS' => __('Isernia', 'sikshya'),
				'SP' => __('La Spezia', 'sikshya'),
				'AQ' => __("L'Aquila", 'sikshya'),
				'LT' => __('Latina', 'sikshya'),
				'LE' => __('Lecce', 'sikshya'),
				'LC' => __('Lecco', 'sikshya'),
				'LI' => __('Livorno', 'sikshya'),
				'LO' => __('Lodi', 'sikshya'),
				'LU' => __('Lucca', 'sikshya'),
				'MC' => __('Macerata', 'sikshya'),
				'MN' => __('Mantova', 'sikshya'),
				'MS' => __('Massa-Carrara', 'sikshya'),
				'MT' => __('Matera', 'sikshya'),
				'ME' => __('Messina', 'sikshya'),
				'MI' => __('Milano', 'sikshya'),
				'MO' => __('Modena', 'sikshya'),
				'MB' => __('Monza e della Brianza', 'sikshya'),
				'NA' => __('Napoli', 'sikshya'),
				'NO' => __('Novara', 'sikshya'),
				'NU' => __('Nuoro', 'sikshya'),
				'OR' => __('Oristano', 'sikshya'),
				'PD' => __('Padova', 'sikshya'),
				'PA' => __('Palermo', 'sikshya'),
				'PR' => __('Parma', 'sikshya'),
				'PV' => __('Pavia', 'sikshya'),
				'PG' => __('Perugia', 'sikshya'),
				'PU' => __('Pesaro e Urbino', 'sikshya'),
				'PE' => __('Pescara', 'sikshya'),
				'PC' => __('Piacenza', 'sikshya'),
				'PI' => __('Pisa', 'sikshya'),
				'PT' => __('Pistoia', 'sikshya'),
				'PN' => __('Pordenone', 'sikshya'),
				'PZ' => __('Potenza', 'sikshya'),
				'PO' => __('Prato', 'sikshya'),
				'RG' => __('Ragusa', 'sikshya'),
				'RA' => __('Ravenna', 'sikshya'),
				'RC' => __('Reggio Calabria', 'sikshya'),
				'RE' => __('Reggio Emilia', 'sikshya'),
				'RI' => __('Rieti', 'sikshya'),
				'RN' => __('Rimini', 'sikshya'),
				'RM' => __('Roma', 'sikshya'),
				'RO' => __('Rovigo', 'sikshya'),
				'SA' => __('Salerno', 'sikshya'),
				'SS' => __('Sassari', 'sikshya'),
				'SV' => __('Savona', 'sikshya'),
				'SI' => __('Siena', 'sikshya'),
				'SR' => __('Siracusa', 'sikshya'),
				'SO' => __('Sondrio', 'sikshya'),
				'SU' => __('Sud Sardegna', 'sikshya'),
				'TA' => __('Taranto', 'sikshya'),
				'TE' => __('Teramo', 'sikshya'),
				'TR' => __('Terni', 'sikshya'),
				'TO' => __('Torino', 'sikshya'),
				'TP' => __('Trapani', 'sikshya'),
				'TN' => __('Trento', 'sikshya'),
				'TV' => __('Treviso', 'sikshya'),
				'TS' => __('Trieste', 'sikshya'),
				'UD' => __('Udine', 'sikshya'),
				'VA' => __('Varese', 'sikshya'),
				'VE' => __('Venezia', 'sikshya'),
				'VB' => __('Verbano-Cusio-Ossola', 'sikshya'),
				'VC' => __('Vercelli', 'sikshya'),
				'VR' => __('Verona', 'sikshya'),
				'VV' => __('Vibo Valentia', 'sikshya'),
				'VI' => __('Vicenza', 'sikshya'),
				'VT' => __('Viterbo', 'sikshya'),
			),
			'IL' => array(),
			'IM' => array(),

			/**
			 * Japan States.
			 *
			 * English notation of prefectures conform to the notation of Japan Post.
			 * The suffix corresponds with the Japanese translation file.
			 */
			'JP' => array(
				'JP01' => __('Hokkaido', 'sikshya'),
				'JP02' => __('Aomori', 'sikshya'),
				'JP03' => __('Iwate', 'sikshya'),
				'JP04' => __('Miyagi', 'sikshya'),
				'JP05' => __('Akita', 'sikshya'),
				'JP06' => __('Yamagata', 'sikshya'),
				'JP07' => __('Fukushima', 'sikshya'),
				'JP08' => __('Ibaraki', 'sikshya'),
				'JP09' => __('Tochigi', 'sikshya'),
				'JP10' => __('Gunma', 'sikshya'),
				'JP11' => __('Saitama', 'sikshya'),
				'JP12' => __('Chiba', 'sikshya'),
				'JP13' => __('Tokyo', 'sikshya'),
				'JP14' => __('Kanagawa', 'sikshya'),
				'JP15' => __('Niigata', 'sikshya'),
				'JP16' => __('Toyama', 'sikshya'),
				'JP17' => __('Ishikawa', 'sikshya'),
				'JP18' => __('Fukui', 'sikshya'),
				'JP19' => __('Yamanashi', 'sikshya'),
				'JP20' => __('Nagano', 'sikshya'),
				'JP21' => __('Gifu', 'sikshya'),
				'JP22' => __('Shizuoka', 'sikshya'),
				'JP23' => __('Aichi', 'sikshya'),
				'JP24' => __('Mie', 'sikshya'),
				'JP25' => __('Shiga', 'sikshya'),
				'JP26' => __('Kyoto', 'sikshya'),
				'JP27' => __('Osaka', 'sikshya'),
				'JP28' => __('Hyogo', 'sikshya'),
				'JP29' => __('Nara', 'sikshya'),
				'JP30' => __('Wakayama', 'sikshya'),
				'JP31' => __('Tottori', 'sikshya'),
				'JP32' => __('Shimane', 'sikshya'),
				'JP33' => __('Okayama', 'sikshya'),
				'JP34' => __('Hiroshima', 'sikshya'),
				'JP35' => __('Yamaguchi', 'sikshya'),
				'JP36' => __('Tokushima', 'sikshya'),
				'JP37' => __('Kagawa', 'sikshya'),
				'JP38' => __('Ehime', 'sikshya'),
				'JP39' => __('Kochi', 'sikshya'),
				'JP40' => __('Fukuoka', 'sikshya'),
				'JP41' => __('Saga', 'sikshya'),
				'JP42' => __('Nagasaki', 'sikshya'),
				'JP43' => __('Kumamoto', 'sikshya'),
				'JP44' => __('Oita', 'sikshya'),
				'JP45' => __('Miyazaki', 'sikshya'),
				'JP46' => __('Kagoshima', 'sikshya'),
				'JP47' => __('Okinawa', 'sikshya'),
			),
			'KR' => array(),
			'KW' => array(),
			'LA' => array(
				'AT' => __('Attapeu', 'sikshya'),
				'BK' => __('Bokeo', 'sikshya'),
				'BL' => __('Bolikhamsai', 'sikshya'),
				'CH' => __('Champasak', 'sikshya'),
				'HO' => __('Houaphanh', 'sikshya'),
				'KH' => __('Khammouane', 'sikshya'),
				'LM' => __('Luang Namtha', 'sikshya'),
				'LP' => __('Luang Prabang', 'sikshya'),
				'OU' => __('Oudomxay', 'sikshya'),
				'PH' => __('Phongsaly', 'sikshya'),
				'SL' => __('Salavan', 'sikshya'),
				'SV' => __('Savannakhet', 'sikshya'),
				'VI' => __('Vientiane Province', 'sikshya'),
				'VT' => __('Vientiane', 'sikshya'),
				'XA' => __('Sainyabuli', 'sikshya'),
				'XE' => __('Sekong', 'sikshya'),
				'XI' => __('Xiangkhouang', 'sikshya'),
				'XS' => __('Xaisomboun', 'sikshya'),
			),
			'LB' => array(),
			'LR' => array( // Liberia provinces.
				'BM' => __('Bomi', 'sikshya'),
				'BN' => __('Bong', 'sikshya'),
				'GA' => __('Gbarpolu', 'sikshya'),
				'GB' => __('Grand Bassa', 'sikshya'),
				'GC' => __('Grand Cape Mount', 'sikshya'),
				'GG' => __('Grand Gedeh', 'sikshya'),
				'GK' => __('Grand Kru', 'sikshya'),
				'LO' => __('Lofa', 'sikshya'),
				'MA' => __('Margibi', 'sikshya'),
				'MY' => __('Maryland', 'sikshya'),
				'MO' => __('Montserrado', 'sikshya'),
				'NM' => __('Nimba', 'sikshya'),
				'RV' => __('Rivercess', 'sikshya'),
				'RG' => __('River Gee', 'sikshya'),
				'SN' => __('Sinoe', 'sikshya'),
			),
			'LU' => array(),
			'MD' => array( // Moldova states.
				'C' => __('Chi&#537;in&#259;u', 'sikshya'),
				'BL' => __('B&#259;l&#539;i', 'sikshya'),
				'AN' => __('Anenii Noi', 'sikshya'),
				'BS' => __('Basarabeasca', 'sikshya'),
				'BR' => __('Briceni', 'sikshya'),
				'CH' => __('Cahul', 'sikshya'),
				'CT' => __('Cantemir', 'sikshya'),
				'CL' => __('C&#259;l&#259;ra&#537;i', 'sikshya'),
				'CS' => __('C&#259;u&#537;eni', 'sikshya'),
				'CM' => __('Cimi&#537;lia', 'sikshya'),
				'CR' => __('Criuleni', 'sikshya'),
				'DN' => __('Dondu&#537;eni', 'sikshya'),
				'DR' => __('Drochia', 'sikshya'),
				'DB' => __('Dub&#259;sari', 'sikshya'),
				'ED' => __('Edine&#539;', 'sikshya'),
				'FL' => __('F&#259;le&#537;ti', 'sikshya'),
				'FR' => __('Flore&#537;ti', 'sikshya'),
				'GE' => __('UTA G&#259;g&#259;uzia', 'sikshya'),
				'GL' => __('Glodeni', 'sikshya'),
				'HN' => __('H&icirc;nce&#537;ti', 'sikshya'),
				'IL' => __('Ialoveni', 'sikshya'),
				'LV' => __('Leova', 'sikshya'),
				'NS' => __('Nisporeni', 'sikshya'),
				'OC' => __('Ocni&#539;a', 'sikshya'),
				'OR' => __('Orhei', 'sikshya'),
				'RZ' => __('Rezina', 'sikshya'),
				'RS' => __('R&icirc;&#537;cani', 'sikshya'),
				'SG' => __('S&icirc;ngerei', 'sikshya'),
				'SR' => __('Soroca', 'sikshya'),
				'ST' => __('Str&#259;&#537;eni', 'sikshya'),
				'SD' => __('&#536;old&#259;ne&#537;ti', 'sikshya'),
				'SV' => __('&#536;tefan Vod&#259;', 'sikshya'),
				'TR' => __('Taraclia', 'sikshya'),
				'TL' => __('Telene&#537;ti', 'sikshya'),
				'UN' => __('Ungheni', 'sikshya'),
			),
			'MQ' => array(),
			'MT' => array(),
			'MX' => array( // Mexico States.
				'DF' => __('Ciudad de M&eacute;xico', 'sikshya'),
				'JA' => __('Jalisco', 'sikshya'),
				'NL' => __('Nuevo Le&oacute;n', 'sikshya'),
				'AG' => __('Aguascalientes', 'sikshya'),
				'BC' => __('Baja California', 'sikshya'),
				'BS' => __('Baja California Sur', 'sikshya'),
				'CM' => __('Campeche', 'sikshya'),
				'CS' => __('Chiapas', 'sikshya'),
				'CH' => __('Chihuahua', 'sikshya'),
				'CO' => __('Coahuila', 'sikshya'),
				'CL' => __('Colima', 'sikshya'),
				'DG' => __('Durango', 'sikshya'),
				'GT' => __('Guanajuato', 'sikshya'),
				'GR' => __('Guerrero', 'sikshya'),
				'HG' => __('Hidalgo', 'sikshya'),
				'MX' => __('Estado de M&eacute;xico', 'sikshya'),
				'MI' => __('Michoac&aacute;n', 'sikshya'),
				'MO' => __('Morelos', 'sikshya'),
				'NA' => __('Nayarit', 'sikshya'),
				'OA' => __('Oaxaca', 'sikshya'),
				'PU' => __('Puebla', 'sikshya'),
				'QT' => __('Quer&eacute;taro', 'sikshya'),
				'QR' => __('Quintana Roo', 'sikshya'),
				'SL' => __('San Luis Potos&iacute;', 'sikshya'),
				'SI' => __('Sinaloa', 'sikshya'),
				'SO' => __('Sonora', 'sikshya'),
				'TB' => __('Tabasco', 'sikshya'),
				'TM' => __('Tamaulipas', 'sikshya'),
				'TL' => __('Tlaxcala', 'sikshya'),
				'VE' => __('Veracruz', 'sikshya'),
				'YU' => __('Yucat&aacute;n', 'sikshya'),
				'ZA' => __('Zacatecas', 'sikshya'),
			),
			'MY' => array( // Malaysian states.
				'JHR' => __('Johor', 'sikshya'),
				'KDH' => __('Kedah', 'sikshya'),
				'KTN' => __('Kelantan', 'sikshya'),
				'LBN' => __('Labuan', 'sikshya'),
				'MLK' => __('Malacca (Melaka)', 'sikshya'),
				'NSN' => __('Negeri Sembilan', 'sikshya'),
				'PHG' => __('Pahang', 'sikshya'),
				'PNG' => __('Penang (Pulau Pinang)', 'sikshya'),
				'PRK' => __('Perak', 'sikshya'),
				'PLS' => __('Perlis', 'sikshya'),
				'SBH' => __('Sabah', 'sikshya'),
				'SWK' => __('Sarawak', 'sikshya'),
				'SGR' => __('Selangor', 'sikshya'),
				'TRG' => __('Terengganu', 'sikshya'),
				'PJY' => __('Putrajaya', 'sikshya'),
				'KUL' => __('Kuala Lumpur', 'sikshya'),
			),
			'MZ' => array( // Mozambique provinces.
				'MZP' => __('Cabo Delgado', 'sikshya'),
				'MZG' => __('Gaza', 'sikshya'),
				'MZI' => __('Inhambane', 'sikshya'),
				'MZB' => __('Manica', 'sikshya'),
				'MZL' => __('Maputo Province', 'sikshya'),
				'MZMPM' => __('Maputo', 'sikshya'),
				'MZN' => __('Nampula', 'sikshya'),
				'MZA' => __('Niassa', 'sikshya'),
				'MZS' => __('Sofala', 'sikshya'),
				'MZT' => __('Tete', 'sikshya'),
				'MZQ' => __('Zambézia', 'sikshya'),
			),
			'NG' => array( // Nigerian provinces.
				'AB' => __('Abia', 'sikshya'),
				'FC' => __('Abuja', 'sikshya'),
				'AD' => __('Adamawa', 'sikshya'),
				'AK' => __('Akwa Ibom', 'sikshya'),
				'AN' => __('Anambra', 'sikshya'),
				'BA' => __('Bauchi', 'sikshya'),
				'BY' => __('Bayelsa', 'sikshya'),
				'BE' => __('Benue', 'sikshya'),
				'BO' => __('Borno', 'sikshya'),
				'CR' => __('Cross River', 'sikshya'),
				'DE' => __('Delta', 'sikshya'),
				'EB' => __('Ebonyi', 'sikshya'),
				'ED' => __('Edo', 'sikshya'),
				'EK' => __('Ekiti', 'sikshya'),
				'EN' => __('Enugu', 'sikshya'),
				'GO' => __('Gombe', 'sikshya'),
				'IM' => __('Imo', 'sikshya'),
				'JI' => __('Jigawa', 'sikshya'),
				'KD' => __('Kaduna', 'sikshya'),
				'KN' => __('Kano', 'sikshya'),
				'KT' => __('Katsina', 'sikshya'),
				'KE' => __('Kebbi', 'sikshya'),
				'KO' => __('Kogi', 'sikshya'),
				'KW' => __('Kwara', 'sikshya'),
				'LA' => __('Lagos', 'sikshya'),
				'NA' => __('Nasarawa', 'sikshya'),
				'NI' => __('Niger', 'sikshya'),
				'OG' => __('Ogun', 'sikshya'),
				'ON' => __('Ondo', 'sikshya'),
				'OS' => __('Osun', 'sikshya'),
				'OY' => __('Oyo', 'sikshya'),
				'PL' => __('Plateau', 'sikshya'),
				'RI' => __('Rivers', 'sikshya'),
				'SO' => __('Sokoto', 'sikshya'),
				'TA' => __('Taraba', 'sikshya'),
				'YO' => __('Yobe', 'sikshya'),
				'ZA' => __('Zamfara', 'sikshya'),
			),
			'NL' => array(),
			'NO' => array(),
			'NP' => array( // Nepal states (Zones).
				'BAG' => __('Bagmati', 'sikshya'),
				'BHE' => __('Bheri', 'sikshya'),
				'DHA' => __('Dhaulagiri', 'sikshya'),
				'GAN' => __('Gandaki', 'sikshya'),
				'JAN' => __('Janakpur', 'sikshya'),
				'KAR' => __('Karnali', 'sikshya'),
				'KOS' => __('Koshi', 'sikshya'),
				'LUM' => __('Lumbini', 'sikshya'),
				'MAH' => __('Mahakali', 'sikshya'),
				'MEC' => __('Mechi', 'sikshya'),
				'NAR' => __('Narayani', 'sikshya'),
				'RAP' => __('Rapti', 'sikshya'),
				'SAG' => __('Sagarmatha', 'sikshya'),
				'SET' => __('Seti', 'sikshya'),
			),
			'NZ' => array( // New Zealand States.
				'NL' => __('Northland', 'sikshya'),
				'AK' => __('Auckland', 'sikshya'),
				'WA' => __('Waikato', 'sikshya'),
				'BP' => __('Bay of Plenty', 'sikshya'),
				'TK' => __('Taranaki', 'sikshya'),
				'GI' => __('Gisborne', 'sikshya'),
				'HB' => __('Hawke&rsquo;s Bay', 'sikshya'),
				'MW' => __('Manawatu-Wanganui', 'sikshya'),
				'WE' => __('Wellington', 'sikshya'),
				'NS' => __('Nelson', 'sikshya'),
				'MB' => __('Marlborough', 'sikshya'),
				'TM' => __('Tasman', 'sikshya'),
				'WC' => __('West Coast', 'sikshya'),
				'CT' => __('Canterbury', 'sikshya'),
				'OT' => __('Otago', 'sikshya'),
				'SL' => __('Southland', 'sikshya'),
			),
			'PE' => array( // Peru states.
				'CAL' => __('El Callao', 'sikshya'),
				'LMA' => __('Municipalidad Metropolitana de Lima', 'sikshya'),
				'AMA' => __('Amazonas', 'sikshya'),
				'ANC' => __('Ancash', 'sikshya'),
				'APU' => __('Apur&iacute;mac', 'sikshya'),
				'ARE' => __('Arequipa', 'sikshya'),
				'AYA' => __('Ayacucho', 'sikshya'),
				'CAJ' => __('Cajamarca', 'sikshya'),
				'CUS' => __('Cusco', 'sikshya'),
				'HUV' => __('Huancavelica', 'sikshya'),
				'HUC' => __('Hu&aacute;nuco', 'sikshya'),
				'ICA' => __('Ica', 'sikshya'),
				'JUN' => __('Jun&iacute;n', 'sikshya'),
				'LAL' => __('La Libertad', 'sikshya'),
				'LAM' => __('Lambayeque', 'sikshya'),
				'LIM' => __('Lima', 'sikshya'),
				'LOR' => __('Loreto', 'sikshya'),
				'MDD' => __('Madre de Dios', 'sikshya'),
				'MOQ' => __('Moquegua', 'sikshya'),
				'PAS' => __('Pasco', 'sikshya'),
				'PIU' => __('Piura', 'sikshya'),
				'PUN' => __('Puno', 'sikshya'),
				'SAM' => __('San Mart&iacute;n', 'sikshya'),
				'TAC' => __('Tacna', 'sikshya'),
				'TUM' => __('Tumbes', 'sikshya'),
				'UCA' => __('Ucayali', 'sikshya'),
			),

			/**
			 * Philippine Provinces.
			 */
			'PH' => array(
				'ABR' => __('Abra', 'sikshya'),
				'AGN' => __('Agusan del Norte', 'sikshya'),
				'AGS' => __('Agusan del Sur', 'sikshya'),
				'AKL' => __('Aklan', 'sikshya'),
				'ALB' => __('Albay', 'sikshya'),
				'ANT' => __('Antique', 'sikshya'),
				'APA' => __('Apayao', 'sikshya'),
				'AUR' => __('Aurora', 'sikshya'),
				'BAS' => __('Basilan', 'sikshya'),
				'BAN' => __('Bataan', 'sikshya'),
				'BTN' => __('Batanes', 'sikshya'),
				'BTG' => __('Batangas', 'sikshya'),
				'BEN' => __('Benguet', 'sikshya'),
				'BIL' => __('Biliran', 'sikshya'),
				'BOH' => __('Bohol', 'sikshya'),
				'BUK' => __('Bukidnon', 'sikshya'),
				'BUL' => __('Bulacan', 'sikshya'),
				'CAG' => __('Cagayan', 'sikshya'),
				'CAN' => __('Camarines Norte', 'sikshya'),
				'CAS' => __('Camarines Sur', 'sikshya'),
				'CAM' => __('Camiguin', 'sikshya'),
				'CAP' => __('Capiz', 'sikshya'),
				'CAT' => __('Catanduanes', 'sikshya'),
				'CAV' => __('Cavite', 'sikshya'),
				'CEB' => __('Cebu', 'sikshya'),
				'COM' => __('Compostela Valley', 'sikshya'),
				'NCO' => __('Cotabato', 'sikshya'),
				'DAV' => __('Davao del Norte', 'sikshya'),
				'DAS' => __('Davao del Sur', 'sikshya'),
				'DAC' => __('Davao Occidental', 'sikshya'),
				'DAO' => __('Davao Oriental', 'sikshya'),
				'DIN' => __('Dinagat Islands', 'sikshya'),
				'EAS' => __('Eastern Samar', 'sikshya'),
				'GUI' => __('Guimaras', 'sikshya'),
				'IFU' => __('Ifugao', 'sikshya'),
				'ILN' => __('Ilocos Norte', 'sikshya'),
				'ILS' => __('Ilocos Sur', 'sikshya'),
				'ILI' => __('Iloilo', 'sikshya'),
				'ISA' => __('Isabela', 'sikshya'),
				'KAL' => __('Kalinga', 'sikshya'),
				'LUN' => __('La Union', 'sikshya'),
				'LAG' => __('Laguna', 'sikshya'),
				'LAN' => __('Lanao del Norte', 'sikshya'),
				'LAS' => __('Lanao del Sur', 'sikshya'),
				'LEY' => __('Leyte', 'sikshya'),
				'MAG' => __('Maguindanao', 'sikshya'),
				'MAD' => __('Marinduque', 'sikshya'),
				'MAS' => __('Masbate', 'sikshya'),
				'MSC' => __('Misamis Occidental', 'sikshya'),
				'MSR' => __('Misamis Oriental', 'sikshya'),
				'MOU' => __('Mountain Province', 'sikshya'),
				'NEC' => __('Negros Occidental', 'sikshya'),
				'NER' => __('Negros Oriental', 'sikshya'),
				'NSA' => __('Northern Samar', 'sikshya'),
				'NUE' => __('Nueva Ecija', 'sikshya'),
				'NUV' => __('Nueva Vizcaya', 'sikshya'),
				'MDC' => __('Occidental Mindoro', 'sikshya'),
				'MDR' => __('Oriental Mindoro', 'sikshya'),
				'PLW' => __('Palawan', 'sikshya'),
				'PAM' => __('Pampanga', 'sikshya'),
				'PAN' => __('Pangasinan', 'sikshya'),
				'QUE' => __('Quezon', 'sikshya'),
				'QUI' => __('Quirino', 'sikshya'),
				'RIZ' => __('Rizal', 'sikshya'),
				'ROM' => __('Romblon', 'sikshya'),
				'WSA' => __('Samar', 'sikshya'),
				'SAR' => __('Sarangani', 'sikshya'),
				'SIQ' => __('Siquijor', 'sikshya'),
				'SOR' => __('Sorsogon', 'sikshya'),
				'SCO' => __('South Cotabato', 'sikshya'),
				'SLE' => __('Southern Leyte', 'sikshya'),
				'SUK' => __('Sultan Kudarat', 'sikshya'),
				'SLU' => __('Sulu', 'sikshya'),
				'SUN' => __('Surigao del Norte', 'sikshya'),
				'SUR' => __('Surigao del Sur', 'sikshya'),
				'TAR' => __('Tarlac', 'sikshya'),
				'TAW' => __('Tawi-Tawi', 'sikshya'),
				'ZMB' => __('Zambales', 'sikshya'),
				'ZAN' => __('Zamboanga del Norte', 'sikshya'),
				'ZAS' => __('Zamboanga del Sur', 'sikshya'),
				'ZSI' => __('Zamboanga Sibugay', 'sikshya'),
				'00' => __('Metro Manila', 'sikshya'),
			),
			'PK' => array( // Pakistan's states.
				'JK' => __('Azad Kashmir', 'sikshya'),
				'BA' => __('Balochistan', 'sikshya'),
				'TA' => __('FATA', 'sikshya'),
				'GB' => __('Gilgit Baltistan', 'sikshya'),
				'IS' => __('Islamabad Capital Territory', 'sikshya'),
				'KP' => __('Khyber Pakhtunkhwa', 'sikshya'),
				'PB' => __('Punjab', 'sikshya'),
				'SD' => __('Sindh', 'sikshya'),
			),
			'PL' => array(),
			'PT' => array(),
			'PY' => array( // Paraguay states.
				'PY-ASU' => __('Asunci&oacute;n', 'sikshya'),
				'PY-1' => __('Concepci&oacute;n', 'sikshya'),
				'PY-2' => __('San Pedro', 'sikshya'),
				'PY-3' => __('Cordillera', 'sikshya'),
				'PY-4' => __('Guair&aacute;', 'sikshya'),
				'PY-5' => __('Caaguaz&uacute;', 'sikshya'),
				'PY-6' => __('Caazap&aacute;', 'sikshya'),
				'PY-7' => __('Itap&uacute;a', 'sikshya'),
				'PY-8' => __('Misiones', 'sikshya'),
				'PY-9' => __('Paraguar&iacute;', 'sikshya'),
				'PY-10' => __('Alto Paran&aacute;', 'sikshya'),
				'PY-11' => __('Central', 'sikshya'),
				'PY-12' => __('&Ntilde;eembuc&uacute;', 'sikshya'),
				'PY-13' => __('Amambay', 'sikshya'),
				'PY-14' => __('Canindey&uacute;', 'sikshya'),
				'PY-15' => __('Presidente Hayes', 'sikshya'),
				'PY-16' => __('Alto Paraguay', 'sikshya'),
				'PY-17' => __('Boquer&oacute;n', 'sikshya'),
			),
			'RE' => array(),
			'RO' => array( // Romania states.
				'AB' => __('Alba', 'sikshya'),
				'AR' => __('Arad', 'sikshya'),
				'AG' => __('Arge&#537;', 'sikshya'),
				'BC' => __('Bac&#259;u', 'sikshya'),
				'BH' => __('Bihor', 'sikshya'),
				'BN' => __('Bistri&#539;a-N&#259;s&#259;ud', 'sikshya'),
				'BT' => __('Boto&#537;ani', 'sikshya'),
				'BR' => __('Br&#259;ila', 'sikshya'),
				'BV' => __('Bra&#537;ov', 'sikshya'),
				'B' => __('Bucure&#537;ti', 'sikshya'),
				'BZ' => __('Buz&#259;u', 'sikshya'),
				'CL' => __('C&#259;l&#259;ra&#537;i', 'sikshya'),
				'CS' => __('Cara&#537;-Severin', 'sikshya'),
				'CJ' => __('Cluj', 'sikshya'),
				'CT' => __('Constan&#539;a', 'sikshya'),
				'CV' => __('Covasna', 'sikshya'),
				'DB' => __('D&acirc;mbovi&#539;a', 'sikshya'),
				'DJ' => __('Dolj', 'sikshya'),
				'GL' => __('Gala&#539;i', 'sikshya'),
				'GR' => __('Giurgiu', 'sikshya'),
				'GJ' => __('Gorj', 'sikshya'),
				'HR' => __('Harghita', 'sikshya'),
				'HD' => __('Hunedoara', 'sikshya'),
				'IL' => __('Ialomi&#539;a', 'sikshya'),
				'IS' => __('Ia&#537;i', 'sikshya'),
				'IF' => __('Ilfov', 'sikshya'),
				'MM' => __('Maramure&#537;', 'sikshya'),
				'MH' => __('Mehedin&#539;i', 'sikshya'),
				'MS' => __('Mure&#537;', 'sikshya'),
				'NT' => __('Neam&#539;', 'sikshya'),
				'OT' => __('Olt', 'sikshya'),
				'PH' => __('Prahova', 'sikshya'),
				'SJ' => __('S&#259;laj', 'sikshya'),
				'SM' => __('Satu Mare', 'sikshya'),
				'SB' => __('Sibiu', 'sikshya'),
				'SV' => __('Suceava', 'sikshya'),
				'TR' => __('Teleorman', 'sikshya'),
				'TM' => __('Timi&#537;', 'sikshya'),
				'TL' => __('Tulcea', 'sikshya'),
				'VL' => __('V&acirc;lcea', 'sikshya'),
				'VS' => __('Vaslui', 'sikshya'),
				'VN' => __('Vrancea', 'sikshya'),
			),
			'RS' => array(),
			'SG' => array(),
			'SK' => array(),
			'SI' => array(),
			'TH' => array( // Thailand states.
				'TH-37' => __('Amnat Charoen', 'sikshya'),
				'TH-15' => __('Ang Thong', 'sikshya'),
				'TH-14' => __('Ayutthaya', 'sikshya'),
				'TH-10' => __('Bangkok', 'sikshya'),
				'TH-38' => __('Bueng Kan', 'sikshya'),
				'TH-31' => __('Buri Ram', 'sikshya'),
				'TH-24' => __('Chachoengsao', 'sikshya'),
				'TH-18' => __('Chai Nat', 'sikshya'),
				'TH-36' => __('Chaiyaphum', 'sikshya'),
				'TH-22' => __('Chanthaburi', 'sikshya'),
				'TH-50' => __('Chiang Mai', 'sikshya'),
				'TH-57' => __('Chiang Rai', 'sikshya'),
				'TH-20' => __('Chonburi', 'sikshya'),
				'TH-86' => __('Chumphon', 'sikshya'),
				'TH-46' => __('Kalasin', 'sikshya'),
				'TH-62' => __('Kamphaeng Phet', 'sikshya'),
				'TH-71' => __('Kanchanaburi', 'sikshya'),
				'TH-40' => __('Khon Kaen', 'sikshya'),
				'TH-81' => __('Krabi', 'sikshya'),
				'TH-52' => __('Lampang', 'sikshya'),
				'TH-51' => __('Lamphun', 'sikshya'),
				'TH-42' => __('Loei', 'sikshya'),
				'TH-16' => __('Lopburi', 'sikshya'),
				'TH-58' => __('Mae Hong Son', 'sikshya'),
				'TH-44' => __('Maha Sarakham', 'sikshya'),
				'TH-49' => __('Mukdahan', 'sikshya'),
				'TH-26' => __('Nakhon Nayok', 'sikshya'),
				'TH-73' => __('Nakhon Pathom', 'sikshya'),
				'TH-48' => __('Nakhon Phanom', 'sikshya'),
				'TH-30' => __('Nakhon Ratchasima', 'sikshya'),
				'TH-60' => __('Nakhon Sawan', 'sikshya'),
				'TH-80' => __('Nakhon Si Thammarat', 'sikshya'),
				'TH-55' => __('Nan', 'sikshya'),
				'TH-96' => __('Narathiwat', 'sikshya'),
				'TH-39' => __('Nong Bua Lam Phu', 'sikshya'),
				'TH-43' => __('Nong Khai', 'sikshya'),
				'TH-12' => __('Nonthaburi', 'sikshya'),
				'TH-13' => __('Pathum Thani', 'sikshya'),
				'TH-94' => __('Pattani', 'sikshya'),
				'TH-82' => __('Phang Nga', 'sikshya'),
				'TH-93' => __('Phatthalung', 'sikshya'),
				'TH-56' => __('Phayao', 'sikshya'),
				'TH-67' => __('Phetchabun', 'sikshya'),
				'TH-76' => __('Phetchaburi', 'sikshya'),
				'TH-66' => __('Phichit', 'sikshya'),
				'TH-65' => __('Phitsanulok', 'sikshya'),
				'TH-54' => __('Phrae', 'sikshya'),
				'TH-83' => __('Phuket', 'sikshya'),
				'TH-25' => __('Prachin Buri', 'sikshya'),
				'TH-77' => __('Prachuap Khiri Khan', 'sikshya'),
				'TH-85' => __('Ranong', 'sikshya'),
				'TH-70' => __('Ratchaburi', 'sikshya'),
				'TH-21' => __('Rayong', 'sikshya'),
				'TH-45' => __('Roi Et', 'sikshya'),
				'TH-27' => __('Sa Kaeo', 'sikshya'),
				'TH-47' => __('Sakon Nakhon', 'sikshya'),
				'TH-11' => __('Samut Prakan', 'sikshya'),
				'TH-74' => __('Samut Sakhon', 'sikshya'),
				'TH-75' => __('Samut Songkhram', 'sikshya'),
				'TH-19' => __('Saraburi', 'sikshya'),
				'TH-91' => __('Satun', 'sikshya'),
				'TH-17' => __('Sing Buri', 'sikshya'),
				'TH-33' => __('Sisaket', 'sikshya'),
				'TH-90' => __('Songkhla', 'sikshya'),
				'TH-64' => __('Sukhothai', 'sikshya'),
				'TH-72' => __('Suphan Buri', 'sikshya'),
				'TH-84' => __('Surat Thani', 'sikshya'),
				'TH-32' => __('Surin', 'sikshya'),
				'TH-63' => __('Tak', 'sikshya'),
				'TH-92' => __('Trang', 'sikshya'),
				'TH-23' => __('Trat', 'sikshya'),
				'TH-34' => __('Ubon Ratchathani', 'sikshya'),
				'TH-41' => __('Udon Thani', 'sikshya'),
				'TH-61' => __('Uthai Thani', 'sikshya'),
				'TH-53' => __('Uttaradit', 'sikshya'),
				'TH-95' => __('Yala', 'sikshya'),
				'TH-35' => __('Yasothon', 'sikshya'),
			),
			'TR' => array( // Turkey States.
				'TR01' => __('Adana', 'sikshya'),
				'TR02' => __('Ad&#305;yaman', 'sikshya'),
				'TR03' => __('Afyon', 'sikshya'),
				'TR04' => __('A&#287;r&#305;', 'sikshya'),
				'TR05' => __('Amasya', 'sikshya'),
				'TR06' => __('Ankara', 'sikshya'),
				'TR07' => __('Antalya', 'sikshya'),
				'TR08' => __('Artvin', 'sikshya'),
				'TR09' => __('Ayd&#305;n', 'sikshya'),
				'TR10' => __('Bal&#305;kesir', 'sikshya'),
				'TR11' => __('Bilecik', 'sikshya'),
				'TR12' => __('Bing&#246;l', 'sikshya'),
				'TR13' => __('Bitlis', 'sikshya'),
				'TR14' => __('Bolu', 'sikshya'),
				'TR15' => __('Burdur', 'sikshya'),
				'TR16' => __('Bursa', 'sikshya'),
				'TR17' => __('&#199;anakkale', 'sikshya'),
				'TR18' => __('&#199;ank&#305;r&#305;', 'sikshya'),
				'TR19' => __('&#199;orum', 'sikshya'),
				'TR20' => __('Denizli', 'sikshya'),
				'TR21' => __('Diyarbak&#305;r', 'sikshya'),
				'TR22' => __('Edirne', 'sikshya'),
				'TR23' => __('Elaz&#305;&#287;', 'sikshya'),
				'TR24' => __('Erzincan', 'sikshya'),
				'TR25' => __('Erzurum', 'sikshya'),
				'TR26' => __('Eski&#351;ehir', 'sikshya'),
				'TR27' => __('Gaziantep', 'sikshya'),
				'TR28' => __('Giresun', 'sikshya'),
				'TR29' => __('G&#252;m&#252;&#351;hane', 'sikshya'),
				'TR30' => __('Hakkari', 'sikshya'),
				'TR31' => __('Hatay', 'sikshya'),
				'TR32' => __('Isparta', 'sikshya'),
				'TR33' => __('&#304;&#231;el', 'sikshya'),
				'TR34' => __('&#304;stanbul', 'sikshya'),
				'TR35' => __('&#304;zmir', 'sikshya'),
				'TR36' => __('Kars', 'sikshya'),
				'TR37' => __('Kastamonu', 'sikshya'),
				'TR38' => __('Kayseri', 'sikshya'),
				'TR39' => __('K&#305;rklareli', 'sikshya'),
				'TR40' => __('K&#305;r&#351;ehir', 'sikshya'),
				'TR41' => __('Kocaeli', 'sikshya'),
				'TR42' => __('Konya', 'sikshya'),
				'TR43' => __('K&#252;tahya', 'sikshya'),
				'TR44' => __('Malatya', 'sikshya'),
				'TR45' => __('Manisa', 'sikshya'),
				'TR46' => __('Kahramanmara&#351;', 'sikshya'),
				'TR47' => __('Mardin', 'sikshya'),
				'TR48' => __('Mu&#287;la', 'sikshya'),
				'TR49' => __('Mu&#351;', 'sikshya'),
				'TR50' => __('Nev&#351;ehir', 'sikshya'),
				'TR51' => __('Ni&#287;de', 'sikshya'),
				'TR52' => __('Ordu', 'sikshya'),
				'TR53' => __('Rize', 'sikshya'),
				'TR54' => __('Sakarya', 'sikshya'),
				'TR55' => __('Samsun', 'sikshya'),
				'TR56' => __('Siirt', 'sikshya'),
				'TR57' => __('Sinop', 'sikshya'),
				'TR58' => __('Sivas', 'sikshya'),
				'TR59' => __('Tekirda&#287;', 'sikshya'),
				'TR60' => __('Tokat', 'sikshya'),
				'TR61' => __('Trabzon', 'sikshya'),
				'TR62' => __('Tunceli', 'sikshya'),
				'TR63' => __('&#350;anl&#305;urfa', 'sikshya'),
				'TR64' => __('U&#351;ak', 'sikshya'),
				'TR65' => __('Van', 'sikshya'),
				'TR66' => __('Yozgat', 'sikshya'),
				'TR67' => __('Zonguldak', 'sikshya'),
				'TR68' => __('Aksaray', 'sikshya'),
				'TR69' => __('Bayburt', 'sikshya'),
				'TR70' => __('Karaman', 'sikshya'),
				'TR71' => __('K&#305;r&#305;kkale', 'sikshya'),
				'TR72' => __('Batman', 'sikshya'),
				'TR73' => __('&#350;&#305;rnak', 'sikshya'),
				'TR74' => __('Bart&#305;n', 'sikshya'),
				'TR75' => __('Ardahan', 'sikshya'),
				'TR76' => __('I&#287;d&#305;r', 'sikshya'),
				'TR77' => __('Yalova', 'sikshya'),
				'TR78' => __('Karab&#252;k', 'sikshya'),
				'TR79' => __('Kilis', 'sikshya'),
				'TR80' => __('Osmaniye', 'sikshya'),
				'TR81' => __('D&#252;zce', 'sikshya'),
			),
			'TZ' => array( // Tanzania States.
				'TZ01' => __('Arusha', 'sikshya'),
				'TZ02' => __('Dar es Salaam', 'sikshya'),
				'TZ03' => __('Dodoma', 'sikshya'),
				'TZ04' => __('Iringa', 'sikshya'),
				'TZ05' => __('Kagera', 'sikshya'),
				'TZ06' => __('Pemba North', 'sikshya'),
				'TZ07' => __('Zanzibar North', 'sikshya'),
				'TZ08' => __('Kigoma', 'sikshya'),
				'TZ09' => __('Kilimanjaro', 'sikshya'),
				'TZ10' => __('Pemba South', 'sikshya'),
				'TZ11' => __('Zanzibar South', 'sikshya'),
				'TZ12' => __('Lindi', 'sikshya'),
				'TZ13' => __('Mara', 'sikshya'),
				'TZ14' => __('Mbeya', 'sikshya'),
				'TZ15' => __('Zanzibar West', 'sikshya'),
				'TZ16' => __('Morogoro', 'sikshya'),
				'TZ17' => __('Mtwara', 'sikshya'),
				'TZ18' => __('Mwanza', 'sikshya'),
				'TZ19' => __('Coast', 'sikshya'),
				'TZ20' => __('Rukwa', 'sikshya'),
				'TZ21' => __('Ruvuma', 'sikshya'),
				'TZ22' => __('Shinyanga', 'sikshya'),
				'TZ23' => __('Singida', 'sikshya'),
				'TZ24' => __('Tabora', 'sikshya'),
				'TZ25' => __('Tanga', 'sikshya'),
				'TZ26' => __('Manyara', 'sikshya'),
				'TZ27' => __('Geita', 'sikshya'),
				'TZ28' => __('Katavi', 'sikshya'),
				'TZ29' => __('Njombe', 'sikshya'),
				'TZ30' => __('Simiyu', 'sikshya'),
			),
			'LK' => array(),
			'SE' => array(),
			'UG' => array( // Uganda districts. Ref: https://en.wikipedia.org/wiki/ISO_3166-2:UG.
				'UG314' => __('Abim', 'sikshya'),
				'UG301' => __('Adjumani', 'sikshya'),
				'UG322' => __('Agago', 'sikshya'),
				'UG323' => __('Alebtong', 'sikshya'),
				'UG315' => __('Amolatar', 'sikshya'),
				'UG324' => __('Amudat', 'sikshya'),
				'UG216' => __('Amuria', 'sikshya'),
				'UG316' => __('Amuru', 'sikshya'),
				'UG302' => __('Apac', 'sikshya'),
				'UG303' => __('Arua', 'sikshya'),
				'UG217' => __('Budaka', 'sikshya'),
				'UG218' => __('Bududa', 'sikshya'),
				'UG201' => __('Bugiri', 'sikshya'),
				'UG235' => __('Bugweri', 'sikshya'),
				'UG420' => __('Buhweju', 'sikshya'),
				'UG117' => __('Buikwe', 'sikshya'),
				'UG219' => __('Bukedea', 'sikshya'),
				'UG118' => __('Bukomansimbi', 'sikshya'),
				'UG220' => __('Bukwa', 'sikshya'),
				'UG225' => __('Bulambuli', 'sikshya'),
				'UG416' => __('Buliisa', 'sikshya'),
				'UG401' => __('Bundibugyo', 'sikshya'),
				'UG430' => __('Bunyangabu', 'sikshya'),
				'UG402' => __('Bushenyi', 'sikshya'),
				'UG202' => __('Busia', 'sikshya'),
				'UG221' => __('Butaleja', 'sikshya'),
				'UG119' => __('Butambala', 'sikshya'),
				'UG233' => __('Butebo', 'sikshya'),
				'UG120' => __('Buvuma', 'sikshya'),
				'UG226' => __('Buyende', 'sikshya'),
				'UG317' => __('Dokolo', 'sikshya'),
				'UG121' => __('Gomba', 'sikshya'),
				'UG304' => __('Gulu', 'sikshya'),
				'UG403' => __('Hoima', 'sikshya'),
				'UG417' => __('Ibanda', 'sikshya'),
				'UG203' => __('Iganga', 'sikshya'),
				'UG418' => __('Isingiro', 'sikshya'),
				'UG204' => __('Jinja', 'sikshya'),
				'UG318' => __('Kaabong', 'sikshya'),
				'UG404' => __('Kabale', 'sikshya'),
				'UG405' => __('Kabarole', 'sikshya'),
				'UG213' => __('Kaberamaido', 'sikshya'),
				'UG427' => __('Kagadi', 'sikshya'),
				'UG428' => __('Kakumiro', 'sikshya'),
				'UG101' => __('Kalangala', 'sikshya'),
				'UG222' => __('Kaliro', 'sikshya'),
				'UG122' => __('Kalungu', 'sikshya'),
				'UG102' => __('Kampala', 'sikshya'),
				'UG205' => __('Kamuli', 'sikshya'),
				'UG413' => __('Kamwenge', 'sikshya'),
				'UG414' => __('Kanungu', 'sikshya'),
				'UG206' => __('Kapchorwa', 'sikshya'),
				'UG236' => __('Kapelebyong', 'sikshya'),
				'UG126' => __('Kasanda', 'sikshya'),
				'UG406' => __('Kasese', 'sikshya'),
				'UG207' => __('Katakwi', 'sikshya'),
				'UG112' => __('Kayunga', 'sikshya'),
				'UG407' => __('Kibaale', 'sikshya'),
				'UG103' => __('Kiboga', 'sikshya'),
				'UG227' => __('Kibuku', 'sikshya'),
				'UG432' => __('Kikuube', 'sikshya'),
				'UG419' => __('Kiruhura', 'sikshya'),
				'UG421' => __('Kiryandongo', 'sikshya'),
				'UG408' => __('Kisoro', 'sikshya'),
				'UG305' => __('Kitgum', 'sikshya'),
				'UG319' => __('Koboko', 'sikshya'),
				'UG325' => __('Kole', 'sikshya'),
				'UG306' => __('Kotido', 'sikshya'),
				'UG208' => __('Kumi', 'sikshya'),
				'UG333' => __('Kwania', 'sikshya'),
				'UG228' => __('Kween', 'sikshya'),
				'UG123' => __('Kyankwanzi', 'sikshya'),
				'UG422' => __('Kyegegwa', 'sikshya'),
				'UG415' => __('Kyenjojo', 'sikshya'),
				'UG125' => __('Kyotera', 'sikshya'),
				'UG326' => __('Lamwo', 'sikshya'),
				'UG307' => __('Lira', 'sikshya'),
				'UG229' => __('Luuka', 'sikshya'),
				'UG104' => __('Luwero', 'sikshya'),
				'UG124' => __('Lwengo', 'sikshya'),
				'UG114' => __('Lyantonde', 'sikshya'),
				'UG223' => __('Manafwa', 'sikshya'),
				'UG320' => __('Maracha', 'sikshya'),
				'UG105' => __('Masaka', 'sikshya'),
				'UG409' => __('Masindi', 'sikshya'),
				'UG214' => __('Mayuge', 'sikshya'),
				'UG209' => __('Mbale', 'sikshya'),
				'UG410' => __('Mbarara', 'sikshya'),
				'UG423' => __('Mitooma', 'sikshya'),
				'UG115' => __('Mityana', 'sikshya'),
				'UG308' => __('Moroto', 'sikshya'),
				'UG309' => __('Moyo', 'sikshya'),
				'UG106' => __('Mpigi', 'sikshya'),
				'UG107' => __('Mubende', 'sikshya'),
				'UG108' => __('Mukono', 'sikshya'),
				'UG334' => __('Nabilatuk', 'sikshya'),
				'UG311' => __('Nakapiripirit', 'sikshya'),
				'UG116' => __('Nakaseke', 'sikshya'),
				'UG109' => __('Nakasongola', 'sikshya'),
				'UG230' => __('Namayingo', 'sikshya'),
				'UG234' => __('Namisindwa', 'sikshya'),
				'UG224' => __('Namutumba', 'sikshya'),
				'UG327' => __('Napak', 'sikshya'),
				'UG310' => __('Nebbi', 'sikshya'),
				'UG231' => __('Ngora', 'sikshya'),
				'UG424' => __('Ntoroko', 'sikshya'),
				'UG411' => __('Ntungamo', 'sikshya'),
				'UG328' => __('Nwoya', 'sikshya'),
				'UG331' => __('Omoro', 'sikshya'),
				'UG329' => __('Otuke', 'sikshya'),
				'UG321' => __('Oyam', 'sikshya'),
				'UG312' => __('Pader', 'sikshya'),
				'UG332' => __('Pakwach', 'sikshya'),
				'UG210' => __('Pallisa', 'sikshya'),
				'UG110' => __('Rakai', 'sikshya'),
				'UG429' => __('Rubanda', 'sikshya'),
				'UG425' => __('Rubirizi', 'sikshya'),
				'UG431' => __('Rukiga', 'sikshya'),
				'UG412' => __('Rukungiri', 'sikshya'),
				'UG111' => __('Sembabule', 'sikshya'),
				'UG232' => __('Serere', 'sikshya'),
				'UG426' => __('Sheema', 'sikshya'),
				'UG215' => __('Sironko', 'sikshya'),
				'UG211' => __('Soroti', 'sikshya'),
				'UG212' => __('Tororo', 'sikshya'),
				'UG113' => __('Wakiso', 'sikshya'),
				'UG313' => __('Yumbe', 'sikshya'),
				'UG330' => __('Zombo', 'sikshya'),
			),
			'UM' => array(
				'81' => __('Baker Island', 'sikshya'),
				'84' => __('Howland Island', 'sikshya'),
				'86' => __('Jarvis Island', 'sikshya'),
				'67' => __('Johnston Atoll', 'sikshya'),
				'89' => __('Kingman Reef', 'sikshya'),
				'71' => __('Midway Atoll', 'sikshya'),
				'76' => __('Navassa Island', 'sikshya'),
				'95' => __('Palmyra Atoll', 'sikshya'),
				'79' => __('Wake Island', 'sikshya'),
			),
			'US' => array( // United States.
				'AL' => __('Alabama', 'sikshya'),
				'AK' => __('Alaska', 'sikshya'),
				'AZ' => __('Arizona', 'sikshya'),
				'AR' => __('Arkansas', 'sikshya'),
				'CA' => __('California', 'sikshya'),
				'CO' => __('Colorado', 'sikshya'),
				'CT' => __('Connecticut', 'sikshya'),
				'DE' => __('Delaware', 'sikshya'),
				'DC' => __('District Of Columbia', 'sikshya'),
				'FL' => __('Florida', 'sikshya'),
				'GA' => _x('Georgia', 'US state of Georgia', 'sikshya'),
				'HI' => __('Hawaii', 'sikshya'),
				'ID' => __('Idaho', 'sikshya'),
				'IL' => __('Illinois', 'sikshya'),
				'IN' => __('Indiana', 'sikshya'),
				'IA' => __('Iowa', 'sikshya'),
				'KS' => __('Kansas', 'sikshya'),
				'KY' => __('Kentucky', 'sikshya'),
				'LA' => __('Louisiana', 'sikshya'),
				'ME' => __('Maine', 'sikshya'),
				'MD' => __('Maryland', 'sikshya'),
				'MA' => __('Massachusetts', 'sikshya'),
				'MI' => __('Michigan', 'sikshya'),
				'MN' => __('Minnesota', 'sikshya'),
				'MS' => __('Mississippi', 'sikshya'),
				'MO' => __('Missouri', 'sikshya'),
				'MT' => __('Montana', 'sikshya'),
				'NE' => __('Nebraska', 'sikshya'),
				'NV' => __('Nevada', 'sikshya'),
				'NH' => __('New Hampshire', 'sikshya'),
				'NJ' => __('New Jersey', 'sikshya'),
				'NM' => __('New Mexico', 'sikshya'),
				'NY' => __('New York', 'sikshya'),
				'NC' => __('North Carolina', 'sikshya'),
				'ND' => __('North Dakota', 'sikshya'),
				'OH' => __('Ohio', 'sikshya'),
				'OK' => __('Oklahoma', 'sikshya'),
				'OR' => __('Oregon', 'sikshya'),
				'PA' => __('Pennsylvania', 'sikshya'),
				'RI' => __('Rhode Island', 'sikshya'),
				'SC' => __('South Carolina', 'sikshya'),
				'SD' => __('South Dakota', 'sikshya'),
				'TN' => __('Tennessee', 'sikshya'),
				'TX' => __('Texas', 'sikshya'),
				'UT' => __('Utah', 'sikshya'),
				'VT' => __('Vermont', 'sikshya'),
				'VA' => __('Virginia', 'sikshya'),
				'WA' => __('Washington', 'sikshya'),
				'WV' => __('West Virginia', 'sikshya'),
				'WI' => __('Wisconsin', 'sikshya'),
				'WY' => __('Wyoming', 'sikshya'),
				'AA' => __('Armed Forces (AA)', 'sikshya'),
				'AE' => __('Armed Forces (AE)', 'sikshya'),
				'AP' => __('Armed Forces (AP)', 'sikshya'),
			),
			'VN' => array(),
			'YT' => array(),
			'ZA' => array( // South African states.
				'EC' => __('Eastern Cape', 'sikshya'),
				'FS' => __('Free State', 'sikshya'),
				'GP' => __('Gauteng', 'sikshya'),
				'KZN' => __('KwaZulu-Natal', 'sikshya'),
				'LP' => __('Limpopo', 'sikshya'),
				'MP' => __('Mpumalanga', 'sikshya'),
				'NC' => __('Northern Cape', 'sikshya'),
				'NW' => __('North West', 'sikshya'),
				'WC' => __('Western Cape', 'sikshya'),
			),
			'ZM' => array( // Zambia's Provinces. Ref: https://en.wikipedia.org/wiki/ISO_3166-2:ZM.
				'ZM-01' => __('Western', 'sikshya'),
				'ZM-02' => __('Central', 'sikshya'),
				'ZM-03' => __('Eastern', 'sikshya'),
				'ZM-04' => __('Luapula', 'sikshya'),
				'ZM-05' => __('Northern', 'sikshya'),
				'ZM-06' => __('North-Western', 'sikshya'),
				'ZM-07' => __('Southern', 'sikshya'),
				'ZM-08' => __('Copperbelt', 'sikshya'),
				'ZM-09' => __('Lusaka', 'sikshya'),
				'ZM-10' => __('Muchinga', 'sikshya'),
			),
		);

		if (!is_null($country_key)) {
			if (isset($states[$country_key])) {

				return $states[$country_key];
			}
		}
		return $states;

	}
}
